cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Ball <ba...@webslingerZ.com>
Subject Re: XSP and current upgrade problem
Date Fri, 31 Mar 2000 19:14:19 GMT
On Fri, 31 Mar 2000, Mike Engelhart wrote:

> Donald Ball wrote:
> 
> > you know, i got this message too on one of my many machines; I downloaded
> > and xerces-1.0.3 and xalan-1.0.0 and put them two and cocoon at the very
> > very beginning of my classpath and the problem went away. the problem is,
> > of course, _something_ is putting DOM1 in front of DOM2.
> > 
> > - donald
> > 
> > On Fri, 31 Mar 2000, Mike Engelhart wrote:
> > 
> >> I just upgraded to 1.7.2 and am getting this error on all my XSP's I try to
> >> access (which worked fine in 1.7):
> >> 
> >> java.lang.NoSuchMethodError: org.w3c.dom.Node: method normalize()V not found
> >> at org.apache.xerces.dom.ElementImpl.normalize(Compiled Code)
> >> at 
> >> org.apache.cocoon.processor.xsp.language.java.XSPJavaPreprocessor.process(Co
> >> mpiled Code)
> >> at 
> 
> Excellent.  Thank you.  That did the trick.   Is it the Sun XML parser that
> comes with Tomcat???

I dunno. Certainly not for any of my machines, I'm on jserv and anyway,
for some odd reason, I've never gotten the classpath right to compile
cocoon with support for the SunXMLParser; I always have to nuke that file
after updating my local source tree before running ant. Annoying, but not
lethally so.

- donald


Mime
View raw message